Name:           orange
Version:        3.36.2
Release:        %mkrel 2
Summary:        Data mining fruitful and fun
Group:          Sciences/Mathematics
License:        GPLv3
URL:            https://orangedatamining.com/
Source0:        https://github.com/biolab/orange3/archive/%{version}/orange3-%{version}.tar.gz
Patch0:         orange-relax-deps.patch
Patch1:         0001-setup.py_Replace-use-of-imp-module.patch
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-cython
BuildRequires:  python3-setuptools
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-svg
Requires:       python3-qt5-widgets

%description
Open source machine learning and data visualization for novice and expert.
Interactive data analysis workflows with a large toolbox.

%prep
%autosetup -p1 -n orange3-%{version}

perl -pi -e 's/PyQt5>=5.12,!=5.15.1/PyQt5>=5.12/' requirements-pyqt.txt
perl -pi \
    -e 's/scikit-learn>=1.1.0,!=1.2.*/scikit-learn>=1.1.0/' \
    requirements-core.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Orange

%files -f %{pyproject_files}
%doc CHANGELOG.md CONTRIBUTING.md README.md LICENSE
%{_bindir}/orange-canvas


%changelog
* Wed Feb 21 2024 daviddavid <daviddavid> 3.36.2-2.mga10
+ Revision: 2042896
- relax some dependencies

* Fri Dec 29 2023 daviddavid <daviddavid> 3.36.2-1.mga10
+ Revision: 2023972
- new version: 3.36.2
- rebuild for py3.12

* Wed Mar 23 2022 guillomovitch <guillomovitch> 3.31.1-1.mga9
+ Revision: 1823234
- new version 3.31.1

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 3.29.3-2.mga9
+ Revision: 1786351
- rebuild for python-3.10

* Sun Aug 15 2021 wally <wally> 3.29.3-1.mga9
+ Revision: 1741506
- new version 3.29.3

* Mon Apr 05 2021 guillomovitch <guillomovitch> 3.28.0-2.mga9
+ Revision: 1713461
- new version 3.28.0

* Sun Mar 21 2021 guillomovitch <guillomovitch> 3.28.0-1.mga9
+ Revision: 1707134
- new version 3.28.0
+ neoclust <neoclust>
- Rebuild against python 3.9

* Tue Apr 21 2020 guillomovitch <guillomovitch> 3.25.0-2.mga8
+ Revision: 1570377
- rebuild w/o rich dependencies

* Sat Apr 18 2020 guillomovitch <guillomovitch> 3.25.0-1.mga8
+ Revision: 1569100
- fix bogus automatic dependencies
- new version 3.25.0

* Sun Feb 16 2020 daviddavid <daviddavid> 3.24.1-1.mga8
+ Revision: 1533699
- new version: 3.24.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 3.20.1-2.mga8
+ Revision: 1444894
- BR python3-setuptools
- rebuild for python-3.8

* Sun Mar 24 2019 guillomovitch <guillomovitch> 3.20.1-1.mga7
+ Revision: 1380032
- imported package orange

